[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TListCallback

Method callback type for TFPList.ForEachCall

## Declaration

Source position: classesh.inc line 199

`type TListCallback = Types.TListCallback;`

## Description

TListCallback is the method callback prototype for the function that is passed to the TFPList.ForEachCall call. The data argument will be filled with all the pointers in the list (one per call) and the arg argument is the Arg argument passed to the ForEachCall call.

## See also

TFPList.ForEachCall |  | Call a procedure or method for each pointer in the list.
TListStaticCallback |  | Static method callback type for TFPList.ForEachCall

Documentation generated on: Feb 26 2014